Page MenuHomePhabricator

MobileWebUIClickTracking main menu event logging can leak into desktop (EventLogging exception on Special:Gather in Vector)
Closed, ResolvedPublic

Description

Goto https://en.wikipedia.org/wiki/Special:Gather/by/Robmoen/5 and click in the search box

JS on page is broken due to event logging exception:

[MobileWebUIClickTracking] Value null is the wrong type for property "mobileMode" (string expected)
VM537:81 Uncaught TypeError: Cannot read property 'top' of undefined

Event Timeline

rmoen raised the priority of this task from to Needs Triage.
rmoen updated the task description. (Show Details)
rmoen added a subscriber: rmoen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2015, 11:32 PM
rmoen updated the task description. (Show Details)Mar 30 2015, 11:32 PM
rmoen set Security to None.
rmoen updated the task description. (Show Details)
Jdlrobson claimed this task.Apr 1 2015, 4:33 PM
Jdlrobson moved this task from Ready for dev to In development on the Gather Sprint Enwiki board.
Jdlrobson renamed this task from EventLogging exception on Special:Gather in Vector to MobileWebUIClickTracking main menu event logging can leak into desktop (EventLogging exception on Special:Gather in Vector).Apr 1 2015, 4:42 PM
Jdlrobson added a project: Readers-Web-Backlog.

This will provide some fiddling around in MobileFrontend

Change 201364 had a related patch set uploaded (by Jdlrobson):
Do not load Minerva modules outside Minerva

https://gerrit.wikimedia.org/r/201364

Jdlrobson triaged this task as Normal priority.Apr 1 2015, 10:15 PM

Note this bug is pretty serious for Gather as it stops us rolling this out for desktop users.

Change 201364 merged by jenkins-bot:
Do not load Minerva modules outside Minerva

https://gerrit.wikimedia.org/r/201364

Jdlrobson closed this task as Resolved.Apr 2 2015, 11:11 PM

thanks guys!